Debian Bug report logs - #424232
net-tools: ifconfig -i option missing

version graph

Package: freebsd-net-tools; Maintainer for freebsd-net-tools is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-net-tools is src:freebsd-utils.

Reported by: Thorsten Glaser <tg@mirbsd.de>

Date: Tue, 15 May 2007 21:54:01 UTC

Severity: minor

Found in version 7.1-1

Fixed in version freebsd-utils/7.2-4

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bernd Eckenfels <ecki@debian.org>:
Bug#424232; Package net-tools. Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
New Bug report received and forwarded. Copy sent to Bernd Eckenfels <ecki@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: net-tools: ifconfig -i option missing
Date: Tue, 15 May 2007 21:38:47 +0000
Package: net-tools
Version: 6.2-3
Severity: minor

cosmetic: when doing an "ifdown -a", the following message occurs:

ifconfig: invalid option -- i
usage: ifconfig [-L] [-C] interface address_family [address [dest_address]]
                [parameters]
       ifconfig interface create
       ifconfig -a [-L] [-C] [-d] [-m] [-u] [-v] [address_family]
       ifconfig -l [-d] [-u] [address_family]
       ifconfig [-L] [-C] [-d] [-m] [-u] [-v]

Either make ifconfig handle -i (what's that supposed to do anyway?)
or make ifdown not call ifconfig with -i.


-- System Information:
Debian Release: lenny/sid
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 5.4-1-486
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/mksh

Versions of packages net-tools depends on:
ii  libbsd0                    0.0-1.2+r1710 BSD compatibility library - shared
ii  libc0.1                    2.5-7         GNU C Library: Shared libraries
ii  libfreebsd0                0.0-5         FreeBSD compatibility library - sh
ii  libipx2                    6.2-1         FreeBSD IPX address conversion sup

net-tools recommends no packages.

-- no debconf information



Bug reassigned from package `net-tools' to `kfreebsd-5'. Request was from Bernd Eckenfels <be-mail2007@lina.inka.de> to control@bugs.debian.org. (Wed, 16 May 2007 00:30:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `kfreebsd-5' to `kfreebsd-6'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Sat, 12 Jan 2008 17:18:07 GMT) Full text and rfc822 format available.

Bug reassigned from package `kfreebsd-6' to `freebsd-net-tools'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 14 Apr 2009 08:36:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `freebsd-net-tools' to `kfreebsd-7'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 14 Apr 2009 08:39:11 GMT) Full text and rfc822 format available.

Bug reassigned from package `kfreebsd-7' to `freebsd-net-tools'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 05 May 2009 14:27:03 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 25 Jul 2009 12:15:03 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Glaser <tg@mirbsd.de>:
Bug acknowledged by developer. (Sat, 25 Jul 2009 12:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 424232-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 424232-close@bugs.debian.org
Subject: Bug#424232: fixed in freebsd-utils 7.2-4
Date: Sat, 25 Jul 2009 11:47:06 +0000
Source: freebsd-utils
Source-Version: 7.2-4

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

freebsd-net-tools_7.2-4_kfreebsd-i386.deb
  to pool/main/f/freebsd-utils/freebsd-net-tools_7.2-4_kfreebsd-i386.deb
freebsd-utils-udeb_7.2-4_kfreebsd-i386.udeb
  to pool/main/f/freebsd-utils/freebsd-utils-udeb_7.2-4_kfreebsd-i386.udeb
freebsd-utils_7.2-4.diff.gz
  to pool/main/f/freebsd-utils/freebsd-utils_7.2-4.diff.gz
freebsd-utils_7.2-4.dsc
  to pool/main/f/freebsd-utils/freebsd-utils_7.2-4.dsc
freebsd-utils_7.2-4_kfreebsd-i386.deb
  to pool/main/f/freebsd-utils/freebsd-utils_7.2-4_kfreebsd-i386.deb
kbdcontrol_7.2-4_kfreebsd-i386.deb
  to pool/main/f/freebsd-utils/kbdcontrol_7.2-4_kfreebsd-i386.deb
kldutils-udeb_7.2-4_kfreebsd-i386.udeb
  to pool/main/f/freebsd-utils/kldutils-udeb_7.2-4_kfreebsd-i386.udeb
kldutils_7.2-4_kfreebsd-i386.deb
  to pool/main/f/freebsd-utils/kldutils_7.2-4_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 424232@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Jul 2009 13:06:27 +0200
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol freebsd-net-tools
Architecture: source kfreebsd-i386
Version: 7.2-4
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-net-tools - FreeBSD networking tools
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
Closes: 424232
Changes: 
 freebsd-utils (7.2-4) unstable; urgency=low
 .
   * patches/002_ifconfig.diff: force POSIX compliance to make sure the
     arguments passed to ifconfig are not reordered (closes: bug#424232).
Checksums-Sha1: 
 6250a18669fa73a9ffa6e8dc7712d5730b156116 1571 freebsd-utils_7.2-4.dsc
 2806f258c808b58a1efcb2521053371d122e9355 45975 freebsd-utils_7.2-4.diff.gz
 45216a1ffb9edf14e912781339055f2db17f5c68 130848 freebsd-utils_7.2-4_kfreebsd-i386.deb
 a86f8392a47913422c6674373169ee78b55171ed 9912 freebsd-utils-udeb_7.2-4_kfreebsd-i386.udeb
 53fbf2b1d2ae32dba45fab52faa79f74dc0722f0 31066 kldutils_7.2-4_kfreebsd-i386.deb
 06ff046985531dcbc21358d99e06e6b86caa9d18 5436 kldutils-udeb_7.2-4_kfreebsd-i386.udeb
 9bfc2d57a401f1933a8fc240656c5aae289d5ded 100884 kbdcontrol_7.2-4_kfreebsd-i386.deb
 de7c5d7c9ebaa9712b425023249b12bb60e60f30 243924 freebsd-net-tools_7.2-4_kfreebsd-i386.deb
Checksums-Sha256: 
 156c65e2c8637b0809463153c996dfad0e71d96be53d8ee374ca92027859265f 1571 freebsd-utils_7.2-4.dsc
 cc0685c56287a4fbc78e1142094dc55d00e8ca73130c73710a93157843a81746 45975 freebsd-utils_7.2-4.diff.gz
 447c7418a2bb54ceac5848421e3fdb8bb6e457875663784bcd62df037df7db50 130848 freebsd-utils_7.2-4_kfreebsd-i386.deb
 b8823b03020a2a72d7c38aa8ad2fa0e446d907136122843129b9339a091324bc 9912 freebsd-utils-udeb_7.2-4_kfreebsd-i386.udeb
 9f0d53c9c86bdcb7188cf1f793c919f7e68249fb591bf1b99ddf0c21e91dd2cb 31066 kldutils_7.2-4_kfreebsd-i386.deb
 bf273d7941b1646c4c1585905e3355c1aea8948a454da92aea6d96479b3aad23 5436 kldutils-udeb_7.2-4_kfreebsd-i386.udeb
 0324a336a8466ae49a52df01a6aa9bce7660987870becdb83f20d97e21bad8e5 100884 kbdcontrol_7.2-4_kfreebsd-i386.deb
 1515e1fa8a99a3e77f81c65893b951ce09e034118152d900b3b79658ea100eef 243924 freebsd-net-tools_7.2-4_kfreebsd-i386.deb
Files: 
 08fb50cb74f614cead949fd7ecb2e732 1571 utils important freebsd-utils_7.2-4.dsc
 3cfe9893139a163e82d902a7b539185f 45975 utils important freebsd-utils_7.2-4.diff.gz
 227942008c9c11d4f4531a061f4f4b06 130848 utils required freebsd-utils_7.2-4_kfreebsd-i386.deb
 2b32d739b990bbc971e60f8461cbe606 9912 debian-installer optional freebsd-utils-udeb_7.2-4_kfreebsd-i386.udeb
 8a0940558593b86a59600f07944c0d02 31066 utils important kldutils_7.2-4_kfreebsd-i386.deb
 914d8e77a11bebd45621e8200b0f41e0 5436 debian-installer optional kldutils-udeb_7.2-4_kfreebsd-i386.udeb
 b3eab90998e7074da5219c4f96014c92 100884 utils important kbdcontrol_7.2-4_kfreebsd-i386.deb
 cc05902df543515f7343ee18c6242d78 243924 net important freebsd-net-tools_7.2-4_kfreebsd-i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/kFreeBSD)

iD8DBQFKaugww3ao2vG823MRAoeAAJwJnHOipY4Rs06oQ6mHz+l+JP2AeQCfTFAg
gkgQ4KdeTnveE8HFXAiADtM=
=LZEk
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#424232; Package freebsd-net-tools. (Mon, 27 Jul 2009 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julián Moreno Patiño <drope1985@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 27 Jul 2009 03:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 424232@bugs.debian.org (full text, mbox):

From: Julián Moreno Patiño <drope1985@gmail.com>
To: 424232@bugs.debian.org
Cc: aurel32@debian.org
Subject: net-tools: ifconfig -i option missing
Date: Sun, 26 Jul 2009 22:19:19 -0500
[Message part 1 (text/plain, inline)]
Package: net-tools
Version: 7.1-1
Severity: normal

I upgrade my packages but still I have the same error.

I've attached screenshots for more clarity.


-- System Information:
Debian Release: squeeze/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.2-1-486
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Cheers,

-- 
Julián Moreno Patiño
Registered GNU Linux User ID 488513
PGP KEY ID B280E07B
[Message part 2 (text/html, inline)]
[bug1.png (image/png, attachment)]
[bug2.png (image/png, attachment)]

Message #26 received at 424232-done@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Julián Moreno Patiño <drope1985@gmail.com>, 424232-done@bugs.debian.org
Subject: Re: Bug#424232: net-tools: ifconfig -i option missing
Date: Mon, 27 Jul 2009 11:33:11 +0200
On Sun, Jul 26, 2009 at 10:19:19PM -0500, Julián Moreno Patiño wrote:
> Package: net-tools
> Version: 7.1-1
> Severity: normal
> 
> I upgrade my packages but still I have the same error.
> 
> I've attached screenshots for more clarity.
> 

You are reporting the bug against old package called 'net-tools' from 
the old debian-ports.org. The bug has been fixed in freebsd-net-tools
the name on the new archive.

You have to remove it, and install freebsd-net-tools:
| dpkg --purge net-tools
| apt-get install --reinstall freebsd-net-tools

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Aug 2009 07:30:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:18:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.